#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ChannelNotFound {
    #[serde(rename = "channelRid")]
    channel_rid: conjure_object::ResourceIdentifier,
}
impl ChannelNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(channel_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().channel_rid(channel_rid).build()
    }
    #[inline]
    pub fn channel_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.channel_rid
    }
}
impl conjure_error::ErrorType for ChannelNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "Catalog:ChannelNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["channelRid"]
    }
}
